
QGIS Application - Feature request #9676

Do not refresh canvas when selecting features

2014-02-27 09:06 AM - Giovanni Manghi

Status: Open

Priority: Low

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 18242

Description

New description:

it seems that there are gis packages (at least the most famous one) that does not refresh the canvas when selecting features. This has a

quite important impact when working with large vectors.

It would be good at some point to have qgis behave the same.

Related issues:

Duplicated by QGIS Application - Bug report # 10239: Selecting polygons trigg... Closed 2014-05-12

History

#1 - 2014-02-27 09:31 AM - Giovanni Manghi

it happens also when selecting from canvas

#2 - 2014-02-27 11:52 PM - Martin Dobias

Umm... what is wrong with it? :-) Map canvas has to be refreshed when the selection changes because the selected features have to be drawn with

different color (symbol). All previous versions of QGIS do that (it just wasn't that obvious because the GUI would just freeze)

#3 - 2014-03-01 04:09 AM - Giovanni Manghi

- Assignee deleted (Martin Dobias)

- Priority changed from Severe/Regression to Low

- Category changed from Vectors to Map Canvas

- Subject changed from qgis master: selecting a record in the table of attributes makes the canvas refresh to Do not refresh canvas when selecting 

features

- Tracker changed from Bug report to Feature request

- Target version changed from Version 2.4 to Future Release - Nice to have

Martin Dobias wrote:

Umm... what is wrong with it? :-) Map canvas has to be refreshed when the selection changes because the selected features have to be drawn with

different color (symbol). All previous versions of QGIS do that (it just wasn't that obvious because the GUI would just freeze)

#4 - 2014-03-01 04:09 AM - Giovanni Manghi

- File deleted (refresh2.mp4)
#5 - 2014-03-01 04:18 AM - Nathan Woodrow

I'm not sure how we could fix this.  Could we do something different for selection rather then re-render the feature?

#6 - 2014-12-05 11:24 AM - Spencer Gardner

Couldn't this be solved by showing selected features using the same technique as is used for the Identify tool? When I click on a feature with Identify the

canvas is not redrawn and a line simply appears on top of the feature. Is there a technical reason for why that approach wouldn't work for feature selection?

#7 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
